curl --request POST \
--url https://api.octen.ai/image-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"type": "text",
"data": "DJI Mavic 4 Pro review"
}
],
"count": 5
}
'{
"code": 0,
"msg": "success",
"request_id": "req_9d1c4f7a2e6b0853",
"data": {
"results": [
{
"title": "Scandinavian Minimalist Living Room",
"url": "https://images.unsplash.com/photo-scandi-living-room.jpg",
"source_page": "https://unsplash.com/photos/scandi-living-room",
"description": "A Scandinavian minimalist living room with light wood flooring, an off-white sofa, and greenery; the composition is very close to the uploaded image.",
"width": 1920,
"height": 1280,
"thumbnail": "https://images.unsplash.com/photo-scandi-living-room.jpg?w=200"
},
{
"title": "Minimalist Interior Inspiration",
"url": "https://i.pinimg.com/originals/minimal-interior.jpg",
"source_page": "https://www.pinterest.com/pin/minimal-interior-inspiration",
"description": "Minimalist interior design inspiration; the palette and layout are close to the uploaded image.",
"width": 736,
"height": 981,
"thumbnail": "https://i.pinimg.com/236x/minimal-interior.jpg"
}
]
},
"meta": {
"usage": {
"num_search_queries": 1
},
"latency": 642
}
}{
"code": 400,
"msg": "Missing parameter inputs",
"request_id": "req_abc123def456"
}{
"code": 401,
"msg": "Invalid API Key",
"request_id": "req_abc123def456"
}{
"code": 403,
"msg": "Insufficient balance in account",
"request_id": "req_abc123def456"
}{
"code": 413,
"msg": "Payload too large",
"request_id": "req_abc123def456"
}{
"code": 415,
"msg": "Unsupported media type",
"request_id": "req_abc123def456"
}{
"code": 422,
"msg": "Input unreadable or invalid",
"request_id": "req_abc123def456"
}{
"code": 429,
"msg": "Exceeding the rate limit",
"request_id": "req_abc123def456"
}{
"code": 500,
"msg": "Internal error",
"request_id": "req_abc123def456"
}Octen Fast
Image Search API Reference
Searches the web for images.
POST
/
image-search
curl --request POST \
--url https://api.octen.ai/image-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"type": "text",
"data": "DJI Mavic 4 Pro review"
}
],
"count": 5
}
'{
"code": 0,
"msg": "success",
"request_id": "req_9d1c4f7a2e6b0853",
"data": {
"results": [
{
"title": "Scandinavian Minimalist Living Room",
"url": "https://images.unsplash.com/photo-scandi-living-room.jpg",
"source_page": "https://unsplash.com/photos/scandi-living-room",
"description": "A Scandinavian minimalist living room with light wood flooring, an off-white sofa, and greenery; the composition is very close to the uploaded image.",
"width": 1920,
"height": 1280,
"thumbnail": "https://images.unsplash.com/photo-scandi-living-room.jpg?w=200"
},
{
"title": "Minimalist Interior Inspiration",
"url": "https://i.pinimg.com/originals/minimal-interior.jpg",
"source_page": "https://www.pinterest.com/pin/minimal-interior-inspiration",
"description": "Minimalist interior design inspiration; the palette and layout are close to the uploaded image.",
"width": 736,
"height": 981,
"thumbnail": "https://i.pinimg.com/236x/minimal-interior.jpg"
}
]
},
"meta": {
"usage": {
"num_search_queries": 1
},
"latency": 642
}
}{
"code": 400,
"msg": "Missing parameter inputs",
"request_id": "req_abc123def456"
}{
"code": 401,
"msg": "Invalid API Key",
"request_id": "req_abc123def456"
}{
"code": 403,
"msg": "Insufficient balance in account",
"request_id": "req_abc123def456"
}{
"code": 413,
"msg": "Payload too large",
"request_id": "req_abc123def456"
}{
"code": 415,
"msg": "Unsupported media type",
"request_id": "req_abc123def456"
}{
"code": 422,
"msg": "Input unreadable or invalid",
"request_id": "req_abc123def456"
}{
"code": 429,
"msg": "Exceeding the rate limit",
"request_id": "req_abc123def456"
}{
"code": 500,
"msg": "Internal error",
"request_id": "req_abc123def456"
}Authorizations
bearerAuthapiKeyAuth
Body
application/json
Request body for the Image Search API.
Response
Successful image search response
Was this page helpful?